package net.ferrum.business.service;

import net.ferrum.business.domain.QsUserSupplier;
import net.ferrum.business.domain.bo.QsSupplierBo;
import net.ferrum.business.domain.vo.QsSupplierVo;
import net.ferrum.business.domain.vo.QsUserSupplierVo;
import net.ferrum.business.domain.bo.QsUserSupplierBo;
import net.ferrum.common.core.page.TableDataInfo;
import net.ferrum.common.core.domain.PageQuery;


import java.util.Collection;
import java.util.List;

/**
 * userSupplierService接口
 *
 * @author tzx
 * @date 2025-07-13
 */
public interface IQsUserSupplierService {

    /**
     * 查询userSupplier
     */
    QsUserSupplierVo queryById(Long id);

    /**
     * 查询userSupplier列表
     */
    TableDataInfo<QsUserSupplierVo> queryPageList(QsUserSupplierBo bo, PageQuery pageQuery);

    /**
     * 查询userSupplier列表
     */
    List<QsUserSupplierVo> queryList(QsUserSupplierBo bo);

    /**
     * 新增userSupplier
     */
    Boolean insertByBo(QsUserSupplierBo bo);

    /**
     * 修改userSupplier
     */
    Boolean updateByBo(QsUserSupplierBo bo);

    /**
     * 校验并批量删除userSupplier信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 查询userSupplier
     */
    TableDataInfo<QsSupplierVo> selectSuppliersByUsersPages(QsSupplierBo bo,PageQuery pageQuery);
}
